'use strict';

var chunkLGTAQGUA_js = require('./chunk-LGTAQGUA.js');
var countryStateCity = require('country-state-city');
var react = require('react');

function useCountries() {
  const countries = react.useMemo(
    () => countryStateCity.Country.getAllCountries().map((country) => chunkLGTAQGUA_js.__spreadProps(chunkLGTAQGUA_js.__spreadValues({}, country), {
      phonecode: country.phonecode.startsWith("+") ? country.phonecode : `+${country.phonecode}`
    })),
    []
  );
  const getStatesOfCountry = (countryCode) => {
    return countryStateCity.State.getStatesOfCountry(countryCode);
  };
  const getCitiesOfState = (countryCode, stateCode) => {
    return countryStateCity.City.getCitiesOfState(countryCode, stateCode);
  };
  return {
    countries,
    getCitiesOfState,
    getStatesOfCountry
  };
}

exports.useCountries = useCountries;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-CS2EY4MW.js.map