import { __spreadProps, __spreadValues } from './chunk-YQEJM53R.mjs';
import { Country, State, City } from 'country-state-city';
import { useMemo } from 'react';

function useCountries() {
  const countries = useMemo(
    () => Country.getAllCountries().map((country) => __spreadProps(__spreadValues({}, country), {
      phonecode: country.phonecode.startsWith("+") ? country.phonecode : `+${country.phonecode}`
    })),
    []
  );
  const getStatesOfCountry = (countryCode) => {
    return State.getStatesOfCountry(countryCode);
  };
  const getCitiesOfState = (countryCode, stateCode) => {
    return City.getCitiesOfState(countryCode, stateCode);
  };
  return {
    countries,
    getCitiesOfState,
    getStatesOfCountry
  };
}

export { useCountries };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-MGOKD6BO.mjs.map